Package org.eclipse.birt.chart.ui.swt.interfaces

# Interface ISelectDataCustomizeUI

public interface ISelectDataCustomizeUI

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GROUPING_SERIES`
`static final int`
`ORTHOGONAL_SERIES`

## Method Summary

Modifier and Type
Method
Description
`void`
`createBottomBindingArea(org.eclipse.swt.widgets.Composite parent)`
`void`
`createLeftBindingArea(org.eclipse.swt.widgets.Composite parent)`
Creates left binding area
`void`
`createRightBindingArea(org.eclipse.swt.widgets.Composite parent)`
`void`
`dispose()`
Disposes all resources.
`ISelectDataComponent`
`getAreaComponent(int areaType, org.eclipse.birt.chart.model.data.SeriesDefinition seriesdefinition, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context, String sTitle)`
`int[]`
`getSeriesIndex()`
Gets current selected series index of each axis.
`void`
`init()`
Initializes all required resource.
`void`
`layoutAll()`
`void`
`notifyChange(org.eclipse.emf.common.notify.Notification notification)`
Notifies changes according to EMF model notification
`void`
`refreshBottomBindingArea()`
`void`
`refreshLeftBindingArea()`
`void`
`refreshRightBindingArea()`
`void`
`selectBottomBindingArea(boolean selected, Object data)`
`void`
`selectLeftBindingArea(boolean selected, Object data)`
`void`
`selectRightBindingArea(boolean selected, Object data)`
`void`
`setSeriesIndex(int[] seriesIndex)`
Sets current selected series index of each axis.

## Field Details

### ORTHOGONAL_SERIES

static final int ORTHOGONAL_SERIES

See Also:
  - Constant Field Values

### GROUPING_SERIES

static final int GROUPING_SERIES

See Also:
  - Constant Field Values

## Method Details

### createLeftBindingArea

void createLeftBindingArea(org.eclipse.swt.widgets.Composite parent)
Creates left binding area

Parameters:
  `parent` - composite parent

### createRightBindingArea

void createRightBindingArea(org.eclipse.swt.widgets.Composite parent)

### createBottomBindingArea

void createBottomBindingArea(org.eclipse.swt.widgets.Composite parent)

### refreshLeftBindingArea

void refreshLeftBindingArea()

### refreshRightBindingArea

void refreshRightBindingArea()

### refreshBottomBindingArea

void refreshBottomBindingArea()

### selectLeftBindingArea

void selectLeftBindingArea(boolean selected, Object data)

### selectRightBindingArea

void selectRightBindingArea(boolean selected, Object data)

### selectBottomBindingArea

void selectBottomBindingArea(boolean selected, Object data)

### notifyChange

void notifyChange(org.eclipse.emf.common.notify.Notification notification)
Notifies changes according to EMF model notification

Parameters:
  `notification` - EMF model notification

### init

void init()
Initializes all required resource.

### dispose

void dispose()
Disposes all resources.

### getAreaComponent

ISelectDataComponent getAreaComponent(int areaType, org.eclipse.birt.chart.model.data.SeriesDefinition seriesdefinition, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context, String sTitle)

Parameters:
  `areaType` - `ORTHOGONAL_SERIES`, `GROUPING_SERIES`
  `seriesdefinition` -
  `context` -
  `sTitle` -
Returns:
  UI component

### layoutAll

void layoutAll()

### getSeriesIndex

int[] getSeriesIndex()
Gets current selected series index of each axis.

Returns:
  array of current selected series index

### setSeriesIndex

void setSeriesIndex(int[] seriesIndex)
Sets current selected series index of each axis.

Parameters:
  `seriesIndex` - array of current selected series index